Index: kde-2.1/kdevelop-1.4/admin/ltmain.sh
diff -u kde-2.1/kdevelop-1.4/admin/ltmain.sh:1.1.1.1 kde-2.1/kdevelop-1.4/admin/ltmain.sh:1.2
--- kde-2.1/kdevelop-1.4/admin/ltmain.sh:1.1.1.1	Tue Feb 27 11:01:29 2001
+++ kde-2.1/kdevelop-1.4/admin/ltmain.sh	Tue Mar  6 13:16:34 2001
@@ -2868,6 +2868,8 @@
 	     test -n "$hardcode_libdirs"; then
 	    libdir="$hardcode_libdirs"
 	    eval dep_rpath=\"$hardcode_libdir_flag_spec\"
+	  else
+	    dep_rpath="${wl}-bnolibpath"
 	  fi
 	  if test -n "$runpath_var" && test -n "$perm_rpath"; then
 	    # We should set the runpath_var.
@@ -3274,6 +3276,8 @@
 	 test -n "$hardcode_libdirs"; then
 	libdir="$hardcode_libdirs"
 	eval rpath=\" $hardcode_libdir_flag_spec\"
+      else
+        dep_rpath=" ${wl}-bnolibpath"
       fi
       compile_rpath="$rpath"
 
@@ -3310,6 +3314,8 @@
 	 test -n "$hardcode_libdirs"; then
 	libdir="$hardcode_libdirs"
 	eval rpath=\" $hardcode_libdir_flag_spec\"
+      else
+        dep_rpath=" ${wl}-bnolibpath"
       fi
       finalize_rpath="$rpath"
 
@@ -3502,7 +3508,9 @@
       # AIX runtime linking requires linking programs with -Wl,-brtl and libs with -Wl,-G
       case "$host" in
         *-*-aix4*) compile_command="$compile_command $wl-brtl"
-                   finalize_command="$finalize_command $wl-brtl" ;;
+                   compile_command=`$echo "X$compile_command" | $Xsed -e "s/\$CC/\$CC $wl-bnolibpath/1"`
+                   finalize_command="$finalize_command $wl-brtl"
+                   finalize_command=`$echo "X$finalize_command" | $Xsed -e "s/\$CC/\$CC $wl-bnolibpath/1"` ;;
       esac
 
       if test $need_relink = no || test "$build_libtool_libs" != yes; then
@@ -4393,10 +4401,18 @@
 	      esac
 	    fi
 	    libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
-	    if test -n "$libdir" && test ! -f "$libfile"; then
-	      $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
-	      finalize=no
-	    fi
+            # Make sure we look in the destination dir as well as the final dir
+            if test -z "$DESTDIR"; then
+	      if test -n "$libdir" && test ! -f "$libfile"; then
+		$echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
+		finalize=no
+	      fi
+            else
+              if test -n "$libdir" && test ! -f "$libfile" && test -n "$DESTDIR/$libdir" && test ! -f "$DESTDIR/$libfile"; then
+                $echo "$modename: warning: \`$lib' has not been installed in \`$libdir' or \`\$DESTDIR/$libdir'" 1>&2
+                finalize=no
+              fi
+            fi
 	  done
 
 	  relink_command=
@@ -4421,6 +4437,8 @@
 	      outputname="$tmpdir/$file"
 	      # Replace the output file specification.
 	      relink_command=`$echo "X$relink_command" | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g'`
+              # Make sure we look in the destination dir as well as the final dir
+              test -z "$DESTDIR" || relink_command=`$echo "X$relink_command" | $Xsed -e 's%-L'"$libdir"'%-L'"$libdir"' -L'"$DESTDIR/$libdir"'%g'`
 
 	      $show "$relink_command"
 	      if $run eval "$relink_command"; then :
Index: kde-2.1/kdevelop-1.4/kdevelop/kwrite/highlight.cpp
diff -u kde-2.1/kdevelop-1.4/kdevelop/kwrite/highlight.cpp:1.1.1.1 kde-2.1/kdevelop-1.4/kdevelop/kwrite/highlight.cpp:1.2
--- kde-2.1/kdevelop-1.4/kdevelop/kwrite/highlight.cpp:1.1.1.1	Tue Feb 27 11:01:54 2001
+++ kde-2.1/kdevelop-1.4/kdevelop/kwrite/highlight.cpp	Tue Mar  6 14:36:17 2001
@@ -24,6 +24,12 @@
 #include <qfileinfo.h>
 #include <kbuttonbox.h>
 
+#if defined(_AIX) && !defined(_AIX51)
+extern "C" {
+  extern int strcasecmp(const char *, const char *);
+  extern int strncasecmp(const char *, const char *, size_t);
+}
+#endif
 
 //#include <X11/Xlib.h> //used in getXFontList()
 
